> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create AI Content Route



## OpenAPI

````yaml /api-reference/openapi.json post /v1/jobs/ai-content
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/jobs/ai-content:
    post:
      summary: Create AI Content
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AiContentPayload'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AiContentResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AiContentPayload:
      type: object
      properties:
        aiParts:
          type: array
          items:
            type: string
            enum:
              - introduction
              - titles
              - summary
              - webArticleSEOFriendly
              - keyTopicsWithBullets
              - keyTopicsWithBullets
              - keywords
              - threadsByInstagram
              - faq
              - facebookPost
              - youtubeDescription
              - twitterThread
              - linkedInPost
    AiContentResponse:
      type: object
      properties:
        success:
          type: boolean
          default: false
        message:
          type: string
          default: success
        data:
          type: object
          properties:
            id:
              type: string
            title:
              type: string
            model:
              type: string
            type:
              type: string
              enum:
                - AI_CONTENT
            processingType:
              type: string
            webhookUrl:
              type: string
            totalCost:
              type: number
            usageTime:
              type: string
            mediaUrl:
              type: string
              format: uri
            jobResponse:
              type: object
              default: null
            status:
              type: string
              enum:
                - PENDING
                - COMPLETED
                - FAILED
            relevantJobId:
              type: string
            apiKeyId:
              type: string
            billingId:
              type: string
            userId:
              type: string
            systemModelKey:
              type: string
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````